%define upstream_name    Test-Lite
%define upstream_version 0.009

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    A small Perl Test Library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Sub::Mage)
BuildArch: noarch

%description
Test::Lite is just that. A minimal test library based on the brilliant the
Test::Builder manpage. The main focus of this project was to learn more
about testing while building this module. A pretty overlooked subject
amongst some Perl developers is testing (myself included). I've tried to
offer some different features in this module, but you're probably still
better off with the Test::More manpage, the Test::Most manpage or one of
the many other testing libraries out there.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.9.0-10.mga6
+ Revision: 1034310
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.9.0-9.mga6
+ Revision: 969024
- Mageia 6 Mass Rebuild

* Tue Jul 28 2015 sander85 <sander85> 0.9.0-8.mga6
+ Revision: 858610
- Exclude deps from _docdir

* Mon Jul 27 2015 sander85 <sander85> 0.9.0-7.mga6
+ Revision: 858257
- Drop BR on perl(Goose)

* Sun Oct 19 2014 umeabot <umeabot> 0.9.0-6.mga5
+ Revision: 790016
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-5.mga5
+ Revision: 742690
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-4.mga5
+ Revision: 686476
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.0-3.mga4
+ Revision: 515245
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9.0-2.mga3
+ Revision: 373573
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 02 2012 kharec <kharec> 0.9.0-1.mga3
+ Revision: 253316
- update to 0.009

* Sun Dec 04 2011 kharec <kharec> 0.8.0-1.mga2
+ Revision: 176017
- imported package perl-Test-Lite


* Sun Dec 04 2011 cpan2dist 0.008-1mga
- initial mageia release, generated with cpan2dist
